{
    "suggest.noselect": true, 
    "vetur.format.options.tabSize": 4, 
    "vetur.format.options.useTabs": true,
    "rust-analyzer.procMacro.enable": true,
    "rust-analyzer.procMacro.attributes.enable": true,
    "rust-analyzer.diagnostics.disabled": ["unresolved-proc-macro"],
    "yaml.schemas": {
        "kubernetes": "/*.yaml"
    },
    "languageserver": {
        "bash": {
            "command": "bash-language-server",
            "args": ["start"],
            "filetypes": ["sh", "hbs"],
            "ignoredRootPaths": ["~"],
        "sql": {
            "module": "~/.node_modules/lib/node_modules/sql-language-server/dist/bin/cli.js",
            "args": ["up", "--method", "node-ipc"],
            "filetypes": ["sql", "mysql"]
        },
        "terraform": {
            "command": "terraform-ls",
            "args": ["serve"],
            "filetypes": ["terraform", "tf", "hcl"],
            "initializationOptions": {}
        },
        "efm": {
            "command": "efm-langserver",
            "args": [],
            "filetypes": ["vim"]
        }
    }
}
